<?php

namespace Pinpoint\NavLog\Model\Logger;

use Magento\Framework\Filesystem\DriverInterface;
use Magento\Framework\Logger\Handler\Base;
use Monolog\Logger;

/**
 * Class Handler
 * @package Pinpoint\NavLog\Model\Logger
 */
class Handler extends Base
{
    /**
     * Logging level
     * @var int
     */
    protected $loggerType = Logger::INFO;

    /**
     * File name
     * @var string
     */
    protected $fileName = '/var/log/nav.log';

    /**
     * @param DriverInterface $filesystem
     * @param $filePath
     * @inheritDoc
     */
    public function __construct(
        DriverInterface $filesystem
    ) {
        parent::__construct($filesystem);
        $this->getFormatter()->ignoreEmptyContextAndExtra();
    }
}
